Skip to main content
POST
/
workspaces
/
{workspaceId}
/
documents
/
{documentId}
/
reparse
Reparse Workspace Document
curl --request POST \
  --url https://api.raydocs.com/workspaces/{workspaceId}/documents/{documentId}/reparse \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "config_hash": "<string>",
  "force": false,
  "parser_version": "<string>"
}
'
Queue parsing (or return ready state) for a given config_hash.

Authentication & Scope

Requires documents-write.

Request

POST /workspaces/12/documents/880e8400-e29b-41d4-a716-446655440000/reparse HTTP/1.1
Host: api.raydocs.com
Authorization: Bearer <token>
Content-Type: application/json

{
  "config_hash": "0123456789abcdef0123456789abcdef0123456789abcdef0123456789abcdef",
  "force": true
}

Response

  • 202 Accepted when parse is queued/processing
  • 200 OK when an existing parsing is already ready

Authorizations

Authorization
string
header
required

Personal Access Token created from the Raydocs dashboard. Include in the Authorization header: Bearer <your_token> See API Keys for token creation and management.

Path Parameters

workspaceId
integer
required
documentId
string<uuid>
required

Body

application/json
config_hash
string
required
Required string length: 64
force
boolean
default:false
parser_version
string

Response

Parsing already ready for provided config hash